import { createRouter, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      redirect: '/purchaseOrder/create/0',
    },
    {
      name: 'purchaseOrder',
      path: '/purchaseOrder',
      component: () => import('@/pages/purchase-order/index.vue'),
      // redirect: 'create',
      children: [
        {
          path: 'create/:id',
          name: 'purchaseOrderEdit',
          component: () => import('@/pages/purchase-order/edit.vue'),
        },
      ],
    },
    {
      name: 'paymentRecord',
      path: '/payment-record',
      component: () => import('@/pages/payment-record/index.vue'),
    },
    {
      name: 'paymentRecord2',
      path: '/payment-record2',
      component: () => import('@/pages/payment-record2/index.vue'),
    },
    {
      name: 'paymentRecord3',
      path: '/payment-record3',
      component: () => import('@/pages/payment-record3/index.vue'),
    },
    // {
    //   name: 'paymentRecord4',
    //   path: '/payment-record4',
    //   component: () => import('@/pages/payment-record3/index.vue'),
    // },
    {
      name: 'wecomApproval',
      path: '/wecom-approval/:id',
      component: () => import('@/pages/wecom-approval/index.vue'),
    },
    {
      name: 'wecomAdminPortal',
      path: '/wecom-admin-portal',
      component: () => import('@/pages/wecom-approval/admin-portal.vue'),
    },
    // {
    //   name: 'indentManage',
    //   path: '/indent-manage',
    //   component: () => import('@/pages/indent-manage/index.vue'),
    //   children: [
    //     {
    //       path: 'indent',
    //       name: 'indent',
    //       component: () => import('@/pages/indent-manage/indent/index.vue'),
    //       children: [
    //         {
    //           path: 'list',
    //           name: 'list',
    //           component: () =>
    //             import('@/pages/indent-manage/indent/list.vue'),
    //         },
    //       ],
    //     },
    //   ],
    // },
    {
      path: '/:pathMatch(.*)*',
      name: 'pageNotFound',
      component: () => import('@/pages/404.vue'),
    },
  ],
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition
    } else {
      return { left: 0, top: 0 }
    }
  },
})

export default router
